import React from "react";
import Card from "@mui/material/Card";
import CardContent from "@mui/material/CardContent";
import CardMedia from "@mui/material/CardMedia";
import Typography from "@mui/material/Typography";
import { CardActionArea } from "@mui/material";
import { Link } from "@inertiajs/react";

function CommunityMessageCard({message}) {


  return (
    <>
    <Card
      sx={{
        maxWidth: "100%",
        marginTop: 4,
        marginBottom: 0,
        borderRadius: "20px",
      }}
    >
       
      {/* <Link href="/posts/wiki-single" className="text-dark hover:no-underline"> */}
      <Card className="text-dark hover:no-underline">
        <CardContent className="pb-3">
          <Typography className="d-flex justify-between" component="div">
            <Typography
              className="!text-xl !font-semibold"
              gutterBottom
              variant="h3"
              component="div"
            >
             {message.message}
            </Typography>
            { /*<Typography gutterBottom component="span">
              <svg
                xmlns="http://www.w3.org/2000/svg"
                width="2em"
                height="2em"
                viewBox="0 0 16 16"
              >
                <path
                  fill="currentColor"
                  fillRule="evenodd"
                  d="M1.25 8A.75.75 0 0 1 2 7.25h10.19L9.47 4.53a.75.75 0 0 1 1.06-1.06l4 4a.75.75 0 0 1 0 1.06l-4 4a.75.75 0 1 1-1.06-1.06l2.72-2.72H2A.75.75 0 0 1 1.25 8"
                  clipRule="evenodd"
                ></path>
              </svg>
            </Typography>
            */}
          </Typography>
          {/*
          <Typography variant="p" className="text-[#022b697c] text-sm">
           this is test message
          </Typography>
          <Typography
            variant="div"
            className="d-flex mt-3"
            color="text.secondary"
          >
          
          </Typography>
          */}
        </CardContent>
      </Card>
      {/* </Link> */}
     
    </Card>
    </>
  )
}

export default CommunityMessageCard